Bug 86585 - [Refactoring] Node::shadowHost() and Node::setShadowHost() can be moved to ShadowRoot
Summary: [Refactoring] Node::shadowHost() and Node::setShadowHost() can be moved to Sh...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shinya Kawanaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-16 00:25 PDT by Shinya Kawanaka
Modified: 2012-05-20 19:42 PDT (History)
3 users (show)

See Also:


Attachments
Patch (20.25 KB, patch)
2012-05-16 20:02 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch (24.42 KB, patch)
2012-05-17 21:25 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shinya Kawanaka 2012-05-16 00:25:13 PDT
Basically these methods are only for ShadowRoot. So we should be able to move them to ShadowRoot.
Comment 1 Shinya Kawanaka 2012-05-16 20:02:38 PDT
Created attachment 142398 [details]
Patch
Comment 2 Hajime Morrita 2012-05-17 01:03:20 PDT
Comment on attachment 142398 [details]
Patch

I think you can move setParent() to private as parent() is.
Comment 3 Shinya Kawanaka 2012-05-17 02:10:09 PDT
(In reply to comment #2)
> (From update of attachment 142398 [details])
> I think you can move setParent() to private as parent() is.

Unfortunately Attr::createTextChild touched it...
If we want to make it private, it should be done by another patch I think...
Comment 4 Shinya Kawanaka 2012-05-17 02:12:28 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > (From update of attachment 142398 [details] [details])
> > I think you can move setParent() to private as parent() is.
> 
> Unfortunately Attr::createTextChild touched it...
> If we want to make it private, it should be done by another patch I think...

Oh, let me discard this ...
Comment 5 Shinya Kawanaka 2012-05-17 21:25:12 PDT
Created attachment 142625 [details]
Patch
Comment 6 WebKit Review Bot 2012-05-20 19:41:25 PDT
Comment on attachment 142625 [details]
Patch

Clearing flags on attachment: 142625

Committed r117723: <http://trac.webkit.org/changeset/117723>
Comment 7 WebKit Review Bot 2012-05-20 19:42:30 PDT
All reviewed patches have been landed.  Closing bug.